Bug 185733 - Fix libdevmapper for older kernels
Fix libdevmapper for older kernels
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-03-17 04:16 EST by Darren Chambers
Modified: 2010-01-11 21:15 EST (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2006-0434
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Chambers 2006-03-17 04:16:43 EST
Description of problem: After a sheduled update of the latest device mapper (
device-mapper-1.02.02-3.0.RHEL4 )


Version-Release number of selected component (if applicable):
device-mapper-1.02.02-3.0.RHEL4


How reproducible: Easy


Steps to Reproduce:
1. Update RH4 with latest LVM2, dmraid & device-mapper
2. Reboot
3. Enable san attached VG's
  
Actual results:
[root@san-mb-spanner ~]# vgchange -a y vgS_application
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:5)
  Failed to add device (253:5) to dtree
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:6)
  Failed to add device (253:6) to dtree
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:7)
  Failed to add device (253:7) to dtree
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:8)
  Failed to add device (253:8) to dtree
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:9)
  Failed to add device (253:9) to dtree
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:10)
  Failed to add device (253:10) to dtree
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:11)
  Failed to add device (253:11) to dtree
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:12)
  Failed to add device (253:12) to dtree
  device-mapper: deps ioctl failed: Invalid argument
  _deps: task run failed for (253:13)
  Failed to add device (253:13) to dtree
  9 logical volume(s) in volume group "vgS_application" now active

Expected results:
  9 logical volume(s) in volume group "vgS_application" now active

Additional info:
  Using Cisco San switches, HP EVA storage, Qlogic 2340 cards & latest HP_qla
driver 8.01.03
Comment 1 Darren Chambers 2006-03-17 04:43:42 EST
Sorry, Description of Problem should read: After a sheduled update of the latest
device mapper ( device-mapper-1.02.02-3.0.RHEL4 ) & subsequent reboot, vgchange
fails to properly enable SAN attached volume groups. Actual output below.
Comment 2 Alasdair Kergon 2006-03-17 12:51:21 EST
With which kernel?

Have you reproduced this with the U3 kernel?
Comment 3 Darren Chambers 2006-03-17 14:54:31 EST
Kernel: 2.6.9-5.ELsmp
Comment 4 Alasdair Kergon 2006-03-20 13:58:57 EST
Can you update your kernel?
(I think you need a kernel from at least update 1)
Comment 5 Darren Chambers 2006-03-25 13:09:18 EST
Hi, sorry for my late reply.
Unfortunately the server is up & running & I can't get an outage for some time.
In addition I'll need to recompile some bits & bobs so it's not as simple as
just upgrading the kernel.

I don't doubt that this will work once the kernel is up to date, however I think
it might be wise to place an advisory somewhere about the issue. There must be
other users that are allowing updates against older kernels.

Thank you
Darren
Comment 6 Alasdair Kergon 2006-04-03 11:53:54 EDT
I've added some code upstream to detect whether an old kernel is being used and
handle the situation transparently.
Comment 11 Bob Johnson 2006-04-11 13:14:34 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 12 Darren Chambers 2006-04-11 18:11:13 EDT
Feels good to have contributed something.
Just to be complete, here's one way to put the original package back into place:

# rpm -Uvh  --oldpackage device-mapper-1.00.19-2.i386.rpm
Where device-mapper-1.00.19-2.i386.rpm is the original package.
Comment 16 Red Hat Bugzilla 2006-08-10 17:24:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0434.html

Note You need to log in before you can comment on or make changes to this bug.